/*
 * CONNECT.H
 *
 * Definitions, structures, types, and function prototypes for the connection
 * functions in CONNECT.C
 *
 * Copyright (c)1992 Microsoft Corporation, All Right Reserved
 *
 * Kraig Brockschmidt, Software Design Engineer
 * Microsoft Systems Developer Relations
 * One Microsoft Way
 * Redmond, WA  98052
 *
 * Internet  :  kraigb@microsoft.com
 * Compuserve:  70750,2344
 * Fax       :  (206)936-7329
 */

#include "exdebug.h"

//Stolen from Windows 3.1 DDK WINNET.H
WORD FAR PASCAL WNetGetCaps(WORD);

//Private structures and types.
typedef struct
    {
    char       *psz;
    UINT        cch;
    } NETDLGINFO, *PNETDLGINFO;


//Function definition for WNetBrowseDialog in Windows for Workgroups.
typedef BOOL (FAR PASCAL *LPFNWINNETBROWSE)(HWND, LPSTR, LPSTR, UINT, DWORD);



//CONNECT.C
BOOL                GetPeerName(HWND, HINSTANCE, char *, char *, UINT);
BOOL     FAR PASCAL ConnectDialogProc(HWND, UINT, WPARAM, LONG);
BOOL                FEstablishFirstConnection(PAPPVARS);
HCONV               HConnectToPeer(PAPPVARS, LPSTR);
BOOL                FPokeLocalName(PAPPVARS, LPSTR, HCONV);
BOOL                FSyncWithPeer(PAPPVARS, HCONV);
void                TerminateConnection(PAPPVARS, int);
void                TerminateAllConnections(PAPPVARS);
